%define name      openmsx
%define version   0.6.2
%define release   %mkrel 2

Summary:   Open source MSX emulator
Name:      %{name}
Version:   %{version}
Release:   %{release}
Source0:   %{name}-%{version}.tar.bz2
Patch0:    openmsx_fix_config.patch
License:   GPL
Group:     Emulators
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL:       http://openmsx.sourceforge.net/
BuildRequires:   libSDL-devel, libSDL_image-devel, %{mklibname tcl 8.4}
BuildRequires:   libmesaglu-devel, libpng-devel, libxml2-devel
BuildRequires:   tcl-devel

%description
The open source MSX emulator that tries to achieve
near-perfect emulation by using a novel emulation model.


%prep
%setup -q
%patch0 -p0

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

# install bin files
install -d %{buildroot}%{_bindir}
   cp derived/*/bin/openmsx %{buildroot}%{_bindir}/openmsx

# install c-bios
install -d %{buildroot}%{_datadir}/openMSX/share/machines
   cp -r share/ %{buildroot}%{_datadir}/openMSX/
   cp -r Contrib/cbios/C-BIOS_MSX1/ %{buildroot}%{_datadir}/openMSX/share/machines/
   cp -r Contrib/cbios/C-BIOS_MSX2/ %{buildroot}%{_datadir}/openMSX/share/machines/
   cp -r Contrib/cbios/C-BIOS_MSX2+/ %{buildroot}%{_datadir}/openMSX/share/machines/

# menu
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat << EOF > %buildroot%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{_bindir}/openmsx
Icon=emulators_section
Name=Openmsx
Comment=%{summary}
Categories=Emulator;
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog GPL README doc/*
%{_bindir}/openmsx
%{_datadir}/openMSX/share/*
%{_datadir}/applications/mandriva-%name.desktop


%changelog
* Thu Jan 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.6.2-2mdv2008.1
+ Revision: 142304
- auto-convert XDG menu entry
- kill re-definition of %%buildroot on Pixel's request
- do not package no more existing TODO
- new release
- Import openmsx

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild




* Mon Aug 07 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.6.1-1mdv2007.0
- new release

* Wed May 24 2006 Lenny Cartier <lenny@mandriva.com> 0.6.0-3mdk
- fix some buildrequires

* Mon May 15 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.6.0-2mdk
- fix buildrequires for x86_64
- drop explicit requires (they're already automatically found by spec-helper
  anyway)

* Sun Jan 22 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.6.0-1mdk
- new release

* Sun Jul 03 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.2-1ut
- new release

* Mon Mar 21 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.5.1-1ut
- first spec for Mandrakelinux
